PWAs

GET https://pusher.lt/api/pwas/
curl --request GET \
--url 'https://pusher.lt/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parametry Szczegóły Opis
search Opcjonalny Ciąg Ciąg wyszukiwania.
search_by Opcjonalny Ciąg Po jakim polu przeszukujesz. Dozwolone wartości to: name.
datetime_field Opcjonalny Ciąg Dozwolone wartości: datetime, last_datetime
datetime_start Opcjonalny Ciąg Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcjonalny Ciąg Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcjonalny Ciąg Według jakiego pola sortować wyniki. Dozwolone wartości to: pwa_id, name, datetime, last_datetime.
order_type Opcjonalny Ciąg Kolejność wyników. Dozwolone wartości to: ASC dla kolejności rosnącej oraz DESC dla kolejności malejącej.
page Opcjonalny Liczba całkowita Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1.
results_per_page Opcjonalny Liczba całkowita Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-07-27 06:57:47"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pusher.lt/api/pwas?page=1",
        "last": "https://pusher.lt/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pusher.lt/api/pwas?page=1"
    }
}
GET https://pusher.lt/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-27 06:57:47"
    }
}
POST https://pusher.lt/api/pwas
Parametry Szczegóły Opis
name Wymagane Ciąg The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcjonalny Ciąg Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcjonalny Ciąg Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcjonalny Ciąg The full URL that opens when your PWA is launched.
background_color Opcjonalny Ciąg The background color used on the splash screen and while the app is loading.
theme_color Opcjonalny Ciąg The browser UI color that matches your app's theme.
app_icon_url Wymagane Ciąg The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcjonalny Ciąg Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcjonalny Ciąg Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcjonalny Ciąg Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcjonalny Ciąg Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcjonalny Ciąg Optional description to explain the shortcut.
shortcut_url_{1-3} Opcjonalny Ciąg URL the shortcut should open.
shortcut_icon_url_{1-3} Opcjonalny Ciąg Make sure the icon is 128x128 pixels, PNG file.
id Opcjonalny Ciąg Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcjonalny Ciąg Dozwolone wartości: fullscreen, standalone, minimal-ui, browser
orientation Opcjonalny Ciąg Dozwolone wartości: portrait, landscape, any
dir Opcjonalny Ciąg Dozwolone wartości: auto, ltr, rtl
lang Opcjonalny Ciąg en for English, de for German, etc.
scope_url Opcjonalny Ciąg Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pusher.lt/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-27 06:57:47"
    }
}
POST https://pusher.lt/api/pwas/{pwa_id}
Parametry Szczegóły Opis
name Opcjonalny Ciąg The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcjonalny Ciąg Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcjonalny Ciąg Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcjonalny Ciąg The full URL that opens when your PWA is launched.
background_color Opcjonalny Ciąg The background color used on the splash screen and while the app is loading.
theme_color Opcjonalny Ciąg The browser UI color that matches your app's theme.
app_icon_url Opcjonalny Ciąg The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcjonalny Ciąg Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcjonalny Ciąg Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcjonalny Ciąg Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcjonalny Ciąg Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcjonalny Ciąg Optional description to explain the shortcut.
shortcut_url_{1-3} Opcjonalny Ciąg URL the shortcut should open.
shortcut_icon_url_{1-3} Opcjonalny Ciąg Make sure the icon is 128x128 pixels, PNG file.
id Opcjonalny Ciąg Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcjonalny Ciąg Dozwolone wartości: fullscreen, standalone, minimal-ui, browser
orientation Opcjonalny Ciąg Dozwolone wartości: portrait, landscape, any
dir Opcjonalny Ciąg Dozwolone wartości: auto, ltr, rtl
lang Opcjonalny Ciąg en for English, de for German, etc.
scope_url Opcjonalny Ciąg Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-07-27 06:57:47",
        "datetime": "2026-07-27 06:57:47"
    }
}
DELETE https://pusher.lt/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pusher.lt/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \